import { useCallback } from 'react';
import { useClient } from './use-client';

function useOriginResolver() {
  var client = useClient();
  return useCallback(function (relativePath) {
    if (relativePath != null) {
      return client.getOriginPath(relativePath);
    } else {
      throw Error("unsupported or empty relative path: " + relativePath);
    }
  }, [client]);
}

export { useOriginResolver };
//# sourceMappingURL=use-origin-resolver.js.map