"use strict";

exports.__esModule = true;
exports.useStaticResolver = useStaticResolver;

var _react = require("react");

var _useClient = require("./use-client");

function useStaticResolver() {
  var client = (0, _useClient.useClient)();
  return (0, _react.useCallback)(function (assetPath) {
    if (assetPath != null) {
      return client.getStaticAssetUrl(assetPath);
    } else {
      throw Error("unsupported or empty asset path: " + assetPath);
    }
  }, [client]);
}
//# sourceMappingURL=use-static-resolver.js.map